# begin: Platecom header
# -*- coding: latin-1 -*-
# vim: set ts=4 sts=4 sw=4 :
#
# $Id: test_alertmeplone.py 245 2008-06-11 19:46:03Z crocha $
#
# end: Platecom header
import unittest

from zope.testing import doctestunit
from zope.component import testing
from Testing import ZopeTestCase as ztc

from Products.Five import zcml
from Products.Five import fiveconfigure
from Products.PloneTestCase.layer import PloneSite

from icnews.alerts.config import *
import base

def test_suite():
    return unittest.TestSuite([

        # Unit tests
        ztc.ZopeDocTestSuite(
            module=PACKAGENAME + '.Extensions.install',
            test_class=base.icNewsTestCase),

        # Integration tests that use PloneTestCase
        ztc.ZopeDocFileSuite(
            'README.txt', package=PACKAGENAME,
            test_class=base.icNewsTestCase),

        ztc.FunctionalDocFileSuite(
            'browser.txt', package=PACKAGENAME,
            test_class=base.icNewsFunctionalTestCase),

        ])

if __name__ == '__main__':
    unittest.main(defaultTest='test_suite')
